PHP Manual
Prev |  | Next

# crack_opendict

(PHP 4 >= 4.0.5, PECL)

crack_opendict -- Opens a new CrackLib dictionary

## Description

resource crack_opendict ( string dictionary )

crack_opendict() opens the specified CrackLib dictionary for use with crack_check().

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

> Note: Only one dictionary may be open at a time.

## Parameters

dictionary

  The path to the Cracklib dictionary.

## Return Values

Returns a dictionary resource identifier on success, or `FALSE` on failure.

## See Also

crack_check()
crack_closedict()

Prev | Home | Next
crack_getlastmessage | Up | Character Type Functions